unit UFormHelp;

{$mode delphi}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormHelp }

  TFormHelp = class(TForm)
    Memo1: TMemo;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  FormHelp: TFormHelp;

implementation

{$R *.lfm}

uses
  UCore;

resourcestring
  SParagraph1 = '2048 is a single-player block sliding puzzle game.';
  SParagraph2 = 'The game''s objective is to slide numbered tiles on a grid to combine them to create a tile with the number 2048.';
  SControls = 'Use arrow keys to slide blocks to one of board side.';
  SEveryTurn = 'Every turn, a new tile will randomly appear in an empty spot on the board with a value of either 2 or 4.';
  SUndo = 'You can undo one move back, if undo action is enabled.';

{ TFormHelp }

procedure TFormHelp.FormCreate(Sender: TObject);
begin
  Core.Translator1.TranslateComponentRecursive(Self);
  Core.ThemeManager1.UseTheme(Self);
end;

procedure TFormHelp.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Core.PersistentForm1.Save(Self);
end;

procedure TFormHelp.FormShow(Sender: TObject);
begin
  Core.PersistentForm1.Load(Self);
  Memo1.Text := SParagraph1 + LineEnding +
    SParagraph2 + LineEnding +
    SControls + LineEnding +
    SEveryTurn + LineEnding +
    SUndo + LineEnding +
    '';
end;

end.

