unit UFormNew;

{$mode delphi}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  UGame;

type

  { TFormNew }

  TFormNew = class(TForm)
    ButtonCancel: TButton;
    ButtonOk: TButton;
    CheckBoxRecordHistory: TCheckBox;
    CheckBoxUndoEnabled: TCheckBox;
    ComboBoxSize: TComboBox;
    ComboBoxSkin: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public
    procedure Load(Game: TGame);
    procedure Save(Game: TGame);
  end;

var
  FormNew: TFormNew;

implementation

{$R *.lfm}

uses
  UCore;

{ TFormNew }

procedure TFormNew.FormCreate(Sender: TObject);
var
  I: TTileSkin;
begin
  Core.Translator1.TranslateComponentRecursive(Self);
  Core.ThemeManager1.UseTheme(Self);
  ComboBoxSkin.Items.BeginUpdate;
  try
    ComboBoxSkin.Items.Clear;
    for I := Low(SkinText) to High(SkinText) do
      ComboBoxSkin.Items.Add(SkinText[I]);
  finally
    ComboBoxSkin.Items.EndUpdate;
  end;
end;

procedure TFormNew.FormShow(Sender: TObject);
begin
  Core.PersistentForm1.Load(Self);
end;

procedure TFormNew.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  Core.PersistentForm1.Save(Self);
end;

procedure TFormNew.Load(Game: TGame);
begin
  ComboBoxSize.ItemIndex := Game.Board.Size.X - 2;
  CheckBoxUndoEnabled.Checked := Game.UndoEnabled;
  CheckBoxRecordHistory.Checked := Game.RecordHistory;
  ComboBoxSkin.ItemIndex := Integer(Game.Skin);
end;

procedure TFormNew.Save(Game: TGame);
begin
  Game.Board.Size := Point(2 + ComboBoxSize.ItemIndex, 2 + ComboBoxSize.ItemIndex);
  Game.UndoEnabled := CheckBoxUndoEnabled.Checked;
  Game.RecordHistory := CheckBoxRecordHistory.Checked;
  Game.Skin := TTileSkin(ComboBoxSkin.ItemIndex);
end;

end.

